﻿body {
    font-size: 11px;
    line-height: 1.1;
}


.linkButton { 
     background: none;
     border: none;
     color: #0066ff;
     text-decoration: underline;
     cursor: pointer; 
}

.bold-font {
    font-weight:bold;
}

div.bkg-green {
    background-color: lightgreen;
}

.bkg-grey {
    background-color:#faf7f7;
}

.carousel-inner > .item > img,
.carousel-inner > .item > a > img {
    width: 90%;
    margin: auto;
}

.panel-heading a:after {
    font-family:'Glyphicons Halflings';
    content:"\e114";
    float: right;
    color: grey;
}
.panel-heading a.collapsed:after {
    content:"\e080";
}    

.field-validation-error {
    color: #f00;
}

.validation-summary-errors {
    color: #f00;
    font-weight: bold;
}

.input-validation-error {
    border: 2px solid #f00;
    background-color: #fee;
}

.input-red-border {
    border: 2px solid #f00;
}

input[type="checkbox"].input-validation-error {
    outline: 2px solid #f00;
}

.errormsg {
    color: #f00;
    font-weight: bold;
    font-size: large;
}

.rowspace20 {
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left:20px;
    padding-right:20px;
}

.rowspace10 {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left:10px;
    padding-right:10px;
}

.rowspace5 {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left:5px;
    padding-right:5px;
}

.rowspace1 {
    padding-top: 1px;
    padding-bottom: 1px;
}

.rowspace0 {
    padding-top: 0;
    padding-bottom: 0;
}

tr.table-row-space10 > td
{
  padding-bottom: 10px;
}

.round-border {
    border-radius: 5px;
    border-style: solid;
    border-width: 1px;
}

form.inline {
    display: inline;
}

.field-label {
    color:crimson;
}

.blue-border {
    border:2px; 
    border-style:solid;
    border-color:darkblue; 
    padding: 1em;
}

.attention {
    border:2px; 
    border-style:solid;
    border-color:coral; 
    padding: 0.2em
}


.emphasize {
    color:#DF5B47;
}

.heading-color {
    color:blue;
}

.nowrap {
    white-space: nowrap;
}

div.box {
    border: 1px solid black;
    width: 60%;
    padding-left: 10px
}

p { margin:10px }

p.indented50 { 
    padding-left: 50pt; 
    padding-right: 50pt; 
}

p.indented20 { 
    padding-left: 20pt; 
    padding-right: 20pt; 
}

.code {
    font-family:Consolas
}

.table-nonfluid {
   width: auto !important;
}

.modal.modal-wide .modal-dialog {
  width: 90%;
}
.modal-wide .modal-body {
  overflow-y: auto;
}

div.mainLayout{float:left;width:50%}
div.clearFlt{clear:both}

a.disabled {
    pointer-events: none;
    cursor: default;
}

table.single-border, th.single-border, td.single-border {
    border: 1px solid black;
    border-collapse: collapse;
    padding: 5px;
}

table.no-border, th.no-border, td.no-border {
    border-collapse: collapse;
    padding: 5px;
}

div.scroll-div {
    height: 300px;
    overflow-y: scroll;
}

.scrollit {
    overflow:scroll;
    width:100%;
    max-height:1000px;
}

.wine-batch-td {
    white-space: nowrap;
}

.wine-param-input {
    height: 40px;
    background-color: rgba(0, 0, 0, 0);
    display: block;
    width: 200px;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    color: #000;
    border: 2px solid #B2B2B2;
    border-radius: 0px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}










.cb-container {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 14px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .cb-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.cb-checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.cb-container:hover input ~ .cb-checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.cb-container input:checked ~ .cb-checkmark {
    background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.cb-checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.cb-container input:checked ~ .cb-checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.cb-container .cb-checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

